Name: ca_QuoVadis-Root-CA1
Version: 1.30
Release: 1
Source: ca_QuoVadis-Root-CA1-1.30.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_QuoVadis-Root-CA1-1.30/5cf9d536.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority QuoVadis-Root-CA1

%if %([ -n "http://www.switch.ch/pki/" ] && echo 1 || echo 0)
URL: http://www.switch.ch/pki/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%prep
%setup -n ca_QuoVadis-Root-CA1-1.30

%description
This is the trust anchor for the classic accredited authority QuoVadis-Root-CA1.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr 5cf9d536.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

